Name:           osgal
Epoch:          1
Version:        0.6.1
Release:        10%{?dist}
Summary:        Adapts OpenSceneGraph to use OpenAL++

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.vrlab.umu.se/research/osgAL
Source0:        http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  OpenSceneGraph-devel OpenThreads-devel
BuildRequires:  openal-devel freealut-devel libvorbis-devel
BuildRequires:  libGL-devel libtool

Provides:       openalpp = 20060714
Obsoletes:      openalpp < 20060714

%description
osgAL is a toolkit for handling spatial (3D) sound in the OpenSceneGraph
rendering library.

%package devel
Summary:        Library development files for osgal
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       OpenThreads-devel openal-devel freealut-devel libvorbis-devel

%description devel
This package contains headers and libraries required to build applications
that use osgAL.


%prep
%setup -q
sed -i -e 's/^\(CXXFLAGS="[^"]*\)/\1 $CXXFLAGS/' configure.in
autoreconf --force --install

# Fix rpmlint warnings
chmod -x {include,src}/osg*/*
chmod -x AUTHORS COPYING NEWS README
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
iconv -f iso8859-1 -t utf-8 NEWS > NEWS.conv && mv -f NEWS.conv NEWS
iconv -f iso8859-1 -t utf-8 README > README.conv && mv -f README.conv README
sed -i 's/\r//' AUTHORS NEWS README doc/*html


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove libtool archive
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*html
%{_includedir}/osgAL
%{_includedir}/openalpp
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jul 02 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1:0.6.1-10
- Rebuild against OSG-2.8.3.

* Tue Aug 25 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1:0.6.1-9
- Rebuild for new openal to fix broken deps in rawhide

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1:0.6.1-6
- Rebuild against OSG-2.8.0.

* Wed Aug 14 2008 Ralf Corsépius <rc040203@freenet.de> - 1:0.6.1-5
- Rebuild against OSG-2.6.0.

* Fri May 16 2008 Ralf Corsépius <rc040203@freenet.de> - 1:0.6.1-4
- Rebuild against OSG-2.4.0.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1:0.6.1-3
- Autorebuild for GCC 4.3

* Fri Nov 09 2007 Christopher Stone <chris.stone@gmail.com> 1:0.6.1-2
- Rebuild against OSG2.2

* Sat Sep 29 2007 Christopher Stone <chris.stone@gmail.com> 1:0.6.1-1
- Upstream sync
- Move openalpp-devel Requires to this package
- Obsolete/Provides openalpp
- Fix up some rpmlint warnings

* Sun Feb 04 2007 Christopher Stone <chris.stone@gmail.com> 20060903-3
- Fix setting of CFLAGS in configure.in bug #227290

* Mon Jan 29 2007 Christopher Stone <chris.stone@gmail.com> 20060903-2
- Whitespace cleanups
- Remove unncessary BuildRequires
- Remove system command macros
- Use $RPM_BUILD_ROOT instead of %%{buildroot}
- Build with $RPM_OPT_FLAGS
- Remove libtool archive instead of %%excluding it

* Sat Oct 14 2006 Christopher Stone <chris.stone@gmail.com> 20060903-1
- Upstream sync

* Sun Sep 03 2006 Christopher Stone <chris.stone@gmail.com> 20060714-2
- Add patch for better linking

* Sat Sep 02 2006 Christopher Stone <chris.stone@gmail.com> 20060714-1
- Upstream sync
- Remove old patches
- Remove FC4 support

* Sun Jun 11 2006 Christopher Stone <chris.stone@gmail.com> 20060410-3
- Remove %%makeinstall macro
- Remove pkgconfig from BuildRequires since it's picked up from openalpp-devel
- Add %%defattr to devel subpackage

* Fri Jun 02 2006 Christopher Stone <chris.stone@gmail.com> 20060410-2
- Fix BuildRequires to work with both FC4 and FC5
- Update Summary and %%description
- Fix Group
- Use macros for system commands
- Add %%doc files to main and devel packages
- Add a %%check section
- Remove gcc-c++ from BuildRequires
- Add pkgconfig to BuildRequires
- Fix License tag
- Remove openal-devel since this is picked up by openalpp-devel
- Add openalpp-devel to devel package Requires

* Mon Apr 10 2006 Loic Dachary <loic at gnu.org> 20060410-1
- upstream sync

* Mon Mar 27 2006 Loic Dachary <loic at gnu.org> 20060215-3
- commented mesaLib-GL (fedora5 specific)

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 20060215-2
- Fix BuildRequires
- Add gcc41 patch

* Wed Mar 22 2006 Loic Dachary <loic@gnu.org> 20060215-1
- Initial RPM release
